
#delimit ;

set more off;

*********************************************************;
*** NOTE: FOR THIS CODE TO RUN, YOU MUST CHANGE THE   ***;
*** DIRECTORY LOCATION IN THE NEXT LINE TO THE FOLDER ***;
*** HOLDING THE UNZIPPED RELICATION DATA FILE         ***;
*********************************************************;

cd "C:\Projects\WarrenTroyJCR\";

use "WarrenTroy.JCR.dta", clear;

***************;
*** TABLE 1 ***;
***************;	

***************;
*** Model 1 ***;
***************;

logit intrawar 
		gpro_i gpro2_i 
		pcyrs spline1 spline2 spline3  
		if gpro_i <= 0.50 & year >= 1990, 
		cluster(ccode);

***************;
*** Model 2 ***;
***************;
				
logit intrawar 
		gpro_i gpro2_i 
		race_bin belief_bin lang_bin 
		transnat_bin gojpa_bin reb_lag5 
		pcyrs spline1 spline2 spline3  
		if gpro_i <= 0.50 & year >= 1990, 
		cluster(ccode);
		
***************;
*** Model 3 ***;
***************;

logit intrawar 
		gpro_i gpro2_i 
		race_bin belief_bin lang_bin 
		transnat_bin gojpa_bin reb_lag5 
		xpolityl lgdpl lpopl 
		pcyrs spline1 spline2 spline3  
		if gpro_i <= 0.50 & year >= 1990, 
		cluster(ccode);


*******************************************;
*** SUBSTANTIVE EFFECTS                 ***;
*** (Solid Black Prob & SE in Figure 3) ***;
*******************************************;

estsimp logit intrawar 
		gpro_i gpro2_i 
		pcyrs spline1 spline2 spline3  
		if gpro_i <= 0.50 & year >= 1990, 
		cluster(ccode);

**********************************************************;
*** CLARIFY SOFTWARE                                   ***
*** Accessed at: http://gking.harvard.edu/clarify      ***;
*** 3/15/2010                                          ***;
**********************************************************;		
		
setx mean;

forvalues p = 0.01(0.01)0.51 {;
	setx gpro_i `p';
	setx gpro2_i `p'*`p';
	local pr = round(`p'*100);
	simqi, prval(1) genpr(prop`pr');
};

sumqi prop*;


